using Domain.Entities;

namespace Models.Interfaces
{
    public interface IPhSDeliveryNoteRepository
    {
        Task<EDeliveryNote?> GetByIdAsync(int id);
        Task<EDeliveryNote?> GetByDeliveryNoteNumberAsync(string deliveryNoteNumber);
        Task<IEnumerable<EDeliveryNote>> GetByQuoteIdAsync(int quoteId);
    }
}

